.\" $NetBSD: lpt.4,v 1.6 2003/07/26 20:17:35 salo Exp $
.\"
.\" Copyright (c) 1993 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"          This product includes software developed for the
.\"          NetBSD Project.  See http://www.NetBSD.org/ for
.\"          information about NetBSD.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
.\"
.Dd November 28, 1999
.Dt LPT 4 mvme68k
.Os
.Sh NAME
.Nm lpt
.Nd parallel port driver
.Sh SYNOPSIS
.Cd "lpt0 at pcc? ipl 1"
.Cd "lpt0 at pcctwo? ipl 1"
.Sh DESCRIPTION
This driver provides access to parallel ports.  The bits in the minor
number select various features of the driver.
.Pp
.Bl -column "Minor Bit" "Functionxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -offset indent
.It Sy "Minor Bit"	Function
.It 128	Use the interruptless driver. (polling)
.It  64	\&Do not initialize the device on the port.
.It  32	Automatic LF on CR.
.It  16	Select 1.6uS strobe pulse width (default is 6.4uS)
.El
.Sh FILES
.Bl -tag -width "/dev/lpt0xx" -compact
.It Pa /dev/lpt0
interrupt-driven parallel port device
.It Pa /dev/lpa0
polled parallel port device
.El
.Sh SEE ALSO
.Xr pcc 4 ,
.Xr pcctwo 4
